2015-04-18 3 views
32

Sono nuovo di Atom, il testo di modifica, e ho installato molti pacchetti, tra cui Linternon possono ottenere Atom Linter a lavorare

https://github.com/AtomLinter/Linter

ma non è che mostra errori o evidenziare il codice, è solo essere ignorato

Qualcuno di voi sa cosa dovrei fare per farlo funzionare?

+0

Sei sicuro di avere "Lint on Edit"? Per quanto mi ricordo, non si schiaccerà automaticamente senza abilitare quella funzione. –

+0

era tutto controllato –

+1

Ho la stessa cosa. Ho installato linter-pyflakes e ho impostato il percorso eseguibile di pyflakes come descritto nel README ma non succede nulla. Forse linter non è in grado di risolvere il percorso dell'eseguibile su Windows – blokeley

risposta

18

È inoltre necessario installare un pacchetto linter per la lingua desiderata.

Ecco un elenco: https://github.com/AtomLinter/Linter#available-linters

+3

Sebbene questo collegamento possa rispondere alla domanda, è meglio includere qui le parti essenziali della risposta e fornire il link per riferimento. Le risposte di solo collegamento possono diventare non valide se la pagina collegata cambia. –

+0

Grazie per il feedback. Questo è in realtà quello che stavo per. Il collegamento è lì solo per comodità (e riferimento) ma la prima frase è la risposta effettiva. Dovrei aver incluso informazioni su come trovare e installare uno specifico linter direttamente in Atom? – geistwc

+0

ho potuto trovare la risposta da solo, e solo ora ho visto la tua risposta. grazie e scusa per il ritardo –

4

avevo bisogno di rimuovere atomo config e partire da zero per rendere linter lavorare

mv ~/.atom ~/.atom.bak 
+2

Eliminare tutte le voci che si riferiscono a linter in ~/.atom/config.cson ha fatto il trucco per me. –

+4

il problema non era che non avessi installato un plugin, ma semplicemente non funzionava, quindi ho fatto quanto sopra e ho installato linter ed eslint prima di ogni altro pacchetto. Si presuppone che uno dei pacchetti abbia causato il problema? o forse era il ciclo lunare errato quando ho installato eslint o che il mio compagno di stanza non mi permetteva di sacrificare quell'agnello – xam

+0

Questo ha funzionato anche per me !! Grazie Francesc! – MaieonBrix

1

Invece di aprire atomo dal terminale come faccio di solito, ho aperto dall'icona dell'applicazione. Quindi atom chiede se è stato ok installare le dipendenze di linter e presto funzionava.

Spero che questo aiuti.

0

Quando avvio Atom, è presente il piccolo pannello ui in basso a sinistra, ma mostra i valori zero per le 3 severità.

Se poi fare un ctrl-s/save (anche senza modifiche), si inizia a lavorare ..

Nelle mie impostazioni del pacchetto, ho "Lint su Open" (che non sembra funzionare affatto) e "Lint on Change" (che è "solo per i provider supportati", quindi potrebbe essere così) spuntato.

Problemi correlati